Subject: [Netconf] guidelines from interop test event

From: Kent Watsen <[email-masked]>
Date: Mon, 12 Nov 2012 20:34:00 +0000

Here are a couple guidelines based on some things noticed during the
interop event:

1. A 1.1 server SHOULD close the NETCONF session if it receives anything
other than a <hello> message at the beginning of a NETCONF session.

2. XML comments are allowed in any XML message.  Comments may come before,
after, or anywhere in-between an XML message.   XML comments have no
semantic value and may be ignored by any NETCONF peer.

Thoughts?

Thanks,
Kent